Categories:
  - Money
License: GPL-3.0-only
WebSite: https://wallet.schildbach.de
SourceCode: https://github.com/bitcoin-wallet/bitcoin-wallet
IssueTracker: https://github.com/bitcoin-wallet/bitcoin-wallet/issues
Translation: https://explore.transifex.com/bitcoin-wallet/bitcoin-wallet/
Changelog: https://raw.githubusercontent.com/bitcoin-wallet/bitcoin-wallet/HEAD/wallet/CHANGES
Bitcoin: bc1qedxd9jssgw2fferdmjyyh6fm8jax75q7drfnd4

AutoName: Bitcoin Wallet
Description: |-
    Have your Bitcoins always with you, in your pocket! You pay by quickly scanning
    a QR code. As a merchant, you receive payments reliably and instantly. Bitcoin
    Wallet is the first mobile Bitcoin app, and arguably also the most secure!

    * No registration, web service or cloud needed! This wallet is de-centralized and peer to peer.
    * Display of Bitcoin amount in BTC, mBTC and µBTC.
    * Conversion to and from national currencies.
    * Sending and receiving of Bitcoin via NFC, QR codes or Bitcoin URLs.
    * Address book for regularly used Bitcoin addresses.
    * When you're offline, you can still pay via Bluetooth.
    * System notification for received coins.
    * Sweeping of paper wallets (e.g. those used for cold storage).
    * App widget for Bitcoin balance.

    See the
    <a href="https://raw.githubusercontent.com/bitcoin-wallet/bitcoin-wallet/master/wallet/README.md">README</a> for more details. Use this at your own risk and be wary that if you
    don't make a backup of the private keys you will no longer be able to access the
    Bitcoins contained in the wallet, should the data of the app be lost.

    There's a separate version of this application that uses a test version of the
    Bitcoin network: https://f-droid.org/packages/de.schildbach.wallet_test.

    All translations are managed via the
    <a href="https://www.transifex.com/bitcoin-wallet/bitcoin-wallet/">Transifex project</a>.

RepoType: git
Repo: https://github.com/bitcoin-wallet/bitcoin-wallet.git

Builds:
  - versionName: '2.01'
    versionCode: 74
    commit: a55ef6822c9e
    subdir: wallet
    init:
      - sed -i 's/_test//' AndroidManifest.xml
      - find src -name *.java -exec sed -i 's/_test\.R/.R/' {} \;
    maven: yes
    srclibs:
      - BitcoinJWallet-schildbach@31953d239555
    prebuild:
      - mvn install:install-file -DgroupId=android -DartifactId=android -Dversion=2.3.3_r2
        -Dpackaging=jar -Dfile=$$SDK$$/platforms/android-10/android.jar
      - mvn install:install-file -DgroupId=android.support -DartifactId=compatibility-v4
        -Dversion=r6 -Dpackaging=jar -Dfile=$$SDK$$/android-compatibility/v4/android-support-v4.jar

  - versionName: '2.16'
    versionCode: 87
    commit: 49c3da045e57
    subdir: wallet
    init:
      - sed -i 's/_test//' AndroidManifest.xml
      - find src -name *.java -exec sed -i 's/_test\.R/.R/' {} \;
    maven: '2'
    srclibs:
      - BitcoinJWallet-schildbach@a160dc24f38c
    prebuild:
      - cd ../integration-android
      - mvn3 install
      - cd ../wallet
      - mvn3 install:install-file -DgroupId=android -DartifactId=android -Dversion=2.3.3_r2
        -Dpackaging=jar -Dfile=$$SDK$$/platforms/android-10/android.jar
      - mvn3 install:install-file -DgroupId=android.support -DartifactId=compatibility-v4
        -Dversion=r6 -Dpackaging=jar -Dfile=$$SDK$$/android-compatibility/v4/android-support-v4.jar

  - versionName: '3.01'
    versionCode: 121
    commit: 742241f59df1
    patch:
      - pom.patch
    maven: yes
    srclibs:
      - BitcoinJWallet-schildbach@1649520e3183
    prebuild:
      - sed -i '54 i \\tandroid:debuggable=\"false\"' wallet/AndroidManifest.xml
      - cp -r $$BitcoinJWallet-schildbach$$/ .
      - rm -rf market/

  - versionName: '3.04'
    versionCode: 124
    commit: 3efa5beb206e
    patch:
      - pom.patch
    maven: yes
    srclibs:
      - BitcoinJWallet-schildbach@7cb7bfc11c11
    prebuild:
      - cp -r $$BitcoinJWallet-schildbach$$/ .
      - rm -rf market/

  - versionName: '3.14'
    versionCode: 134
    commit: 5ede628245a8
    maven: yes
    srclibs:
      - BitcoinJWallet-schildbach@67b187c4c4c4
    prebuild:
      - sed -i '30,33d' pom.xml
      - cp -r $$BitcoinJWallet-schildbach$$/ .
      - rm -rf market/
    build: mvn clean install -f BitcoinJWallet/pom.xml

  - versionName: '3.15'
    versionCode: 136
    commit: dd70948b66aa
    maven: yes
    srclibs:
      - BitcoinJWallet@777e6781d
    prebuild:
      - sed -i '30,33d' pom.xml
      - sed -i 's/0.11-SNAPSHOT/0.10/g' wallet/pom.xml
      - cp -r $$BitcoinJWallet$$/ .
      - rm -rf market/
    build: mvn clean install -DskipTests -f BitcoinJWallet/pom.xml

  - versionName: '3.19'
    versionCode: 140
    commit: 885f13e01a86
    maven: yes
    srclibs:
      - BitcoinJWallet-schildbach@1134572f61
    prebuild:
      - sed -i '30,33d' pom.xml
      - cp -r $$BitcoinJWallet-schildbach$$/ .
      - rm -rf market/
    build: mvn clean install -DskipTests -f BitcoinJWallet/pom.xml

  - versionName: '3.22'
    versionCode: 143
    commit: 8e67f8ea6e38
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet-schildbach@v0.10.2
    prebuild:
      - cp -r $$BitcoinJWallet-schildbach$$/ .
      - rm -rf ../market/
      - sed -i '/sample-integration-android/d' ../pom.xml
    build: mvn clean install -DskipTests -f BitcoinJWallet/pom.xml

  - versionName: '3.27'
    versionCode: 148
    commit: 5787167f05b8
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.10.3
    rm:
      - market/
    prebuild: cp -r $$BitcoinJWallet$$/ BitcoinJWallet
    build: mvn clean install -f BitcoinJWallet/pom.xml

  - versionName: '3.28'
    versionCode: 149
    commit: f796d9531f2d
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.10.3
    rm:
      - market/
    prebuild: cp -r $$BitcoinJWallet$$/ BitcoinJWallet
    build: mvn clean install -f BitcoinJWallet/pom.xml

  - versionName: '3.39'
    versionCode: 160
    commit: 9b292a1f4ff30aefbd
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet-schildbach@v0.11.1
    prebuild: cp -r $$BitcoinJWallet-schildbach$$/ BitcoinJWallet
    build: mvn clean install -DskipTests -f BitcoinJWallet/pom.xml

  - versionName: '3.46'
    versionCode: 167
    commit: a38ec5e1d9b6569ae3
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet-schildbach@v0.11.2
    build: mvn clean install -DskipTests -f $$BitcoinJWallet-schildbach$$/pom.xml

  - versionName: '3.52'
    versionCode: 173
    commit: db1983c3564e147a1ca71d1b
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.11.3
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '3.59'
    versionCode: 180
    commit: bf89ad4ae5a3ad9f5d72c257f7c85c9d415ffadf
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.11.3
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.0'
    versionCode: 190
    commit: b949977c02b901b25269c003575e64aa814b44df
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.11.3
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.01'
    versionCode: 191
    commit: 0f2812cf66e244c563f200e1cedfade272bad84e
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.02'
    versionCode: 192
    commit: 9b0be30b949906481e40ced82c32597ea76ee6bd
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.03'
    versionCode: 193
    commit: 02da186c464703ade37b68c7ad85daaaf0155a15
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.04'
    versionCode: 194
    commit: 48ae5c2a854f84f62614146bf24b9fd172d5d281
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.05'
    versionCode: 195
    commit: c63da715a7b56ec485179574e4d1b306f4c8836e
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.09'
    versionCode: 199
    commit: 9437cb646056c1608b8c5830fba5b914a7b2672a
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12.1
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.10'
    versionCode: 200
    commit: 5bc7920096d920c5199d3878237e337ecb861c7e
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12.1
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.12'
    versionCode: 202
    commit: 8c5e8370af7730d3fc9cc2e4c8e99ad9290cc407
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12.2
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.13'
    versionCode: 203
    commit: f490907be7e90cb990f02522aa30aa15d0ea44e9
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12.2
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.14'
    versionCode: 204
    commit: 4c044767545c4f5efd3d92e7d9d0aa94f0559379
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12.2
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.15'
    versionCode: 205
    commit: 67d680b61192ddec8d3bf02449b6f0c770797169
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12.2
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.16'
    versionCode: 206
    commit: 8356d0d7daa10db85969c1bc910f5ef67f8a1415
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12.2
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.17'
    versionCode: 207
    commit: 407516d
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12.2
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.18'
    versionCode: 208
    commit: 2ec8100f736d1cf77bf2881306b43462b834a461
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12.2
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.19'
    versionCode: 209
    commit: 300448212108ecb5cdb56b10584fb2c79c4b4f21
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12.2
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.21'
    versionCode: 211
    commit: 97535a8bc79e6eb4778b10ab3f9b96008c57b187
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12.2
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.22'
    versionCode: 212
    commit: c063b84ca6744eeb106c3cc87443a714580e29a4
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12.3
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.23'
    versionCode: 213
    commit: dafb4a497a53167b617eab3b7ab95358cbb89495
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12.3
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.24'
    versionCode: 214
    commit: f4c3c9935bf60f4f4cf9f21bbccd071584adbc97
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12.3
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.25'
    versionCode: 215
    commit: 2aa214416e53331cbd00fc4662762fd7aa10ed4a
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12.3
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.27'
    versionCode: 217
    commit: 74c784cafedfbb9a205aad1be64a9f09feab1c9f
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12.3
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.28'
    versionCode: 218
    commit: 400229a0521265f2eb63729b20cc16b2ec2b661f
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12.3
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.29'
    versionCode: 219
    commit: 1193bfb8cb916fa2296ede6082508ae6aa9c7747
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12.3
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.30'
    versionCode: 220
    commit: f46c2e3dee3863eb174a1b65d571f331b53b6ca1
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12.3
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.31'
    versionCode: 221
    commit: 43e9bde306687ae73cb1c91e920dc3f6ab616286
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12.3
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.32'
    versionCode: 222
    commit: c2c9ab693eb078510f5beea6149bfffeb9f50395
    subdir: wallet
    maven: yes@..
    srclibs:
      - BitcoinJWallet@v0.12.3
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.33'
    versionCode: 223
    commit: 7b0f3017833d3ef917ffcfcb7227317c15d3b896
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.12.3
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.34'
    versionCode: 224
    commit: 829cb6e7cc31b389339f506719b2d6a234684499
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.12.3
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.35'
    versionCode: 225
    commit: 1d543db9f550a6210616d7aefde7dd3a8d66fd1c
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.12.3
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.37'
    versionCode: 227
    commit: 6cab0aaff1dacf309d0174a4a87dadd83528a0bb
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.13.1
    prebuild: sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.38'
    versionCode: 228
    commit: 76454cc0d075ebd3fd3139f9434acc89bff5b854
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.13.1
    prebuild: sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.39'
    versionCode: 229
    commit: 41a7640b2e0fed9a7bf92cb49e2f4035121e486b
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.13.2
    prebuild: sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.40'
    versionCode: 230
    commit: 0938ace163dfd522f6822a88483e9bdc38309d52
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.13.2
    prebuild: sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.41'
    versionCode: 231
    commit: c81980696707083e471c17e304def58567d737aa
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.13.2
    prebuild: sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
    scanignore:
      - wallet/assets/ssl-keystore
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.42'
    versionCode: 232
    commit: 7f1faa4f534746091fcf410fefa15222e8252c99
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.13.3
    prebuild: sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
    scanignore:
      - wallet/assets/ssl-keystore
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.44'
    versionCode: 234
    commit: 55c67c417316a11222c589d6d81c9127f5722a34
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.13.3
    prebuild: sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
    scanignore:
      - wallet/assets/ssl-keystore
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.45'
    versionCode: 235
    commit: ca360705dd6ce32147027eb372c5dc1de9912552
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.13.4
    prebuild: sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
    scanignore:
      - wallet/assets/ssl-keystore
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.46'
    versionCode: 236
    commit: 1baf7ef49df5a8e7f76c8deb9e8336dda5c40333
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.13.4
    prebuild: sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
    scanignore:
      - wallet/assets/ssl-keystore
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.47'
    versionCode: 237
    commit: c8634bf9e1f1ea7e8b5be016308be6dfe1ca7dd4
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.13.5
    prebuild: sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
    scanignore:
      - wallet/assets/ssl-keystore
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.48'
    versionCode: 238
    commit: 6ff6e204c6eaf6a57bd520d19a8350b1fb28d308
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.13.5
    prebuild: sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
    scanignore:
      - wallet/assets/ssl-keystore
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.49'
    versionCode: 239
    commit: 878ea98321b3a89d6b2271905e7a759ba7123e73
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.13.6
    prebuild: sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
    scanignore:
      - wallet/assets/ssl-keystore
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.50'
    versionCode: 240
    commit: 484bd90d8df6902eca801a96b27583f03841f4a7
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.13.6
    prebuild: sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
    scanignore:
      - wallet/assets/ssl-keystore
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.51'
    versionCode: 241
    commit: 494e349372103ec243624902433fbc8a8b4a5f45
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.13.6
    prebuild: sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
    scanignore:
      - wallet/assets/ssl-keystore
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.53'
    versionCode: 243
    commit: 166cd48ca441aecd9729912f85ad30d9cb4c6fa7
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.1
    prebuild: sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
    scanignore:
      - wallet/assets/ssl-keystore
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.54'
    versionCode: 244
    commit: a9130f45d463e5ef8d62b0b98ecb9c571a366d4f
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.2
    prebuild: sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
    scanignore:
      - wallet/assets/ssl-keystore
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.55'
    versionCode: 245
    commit: 2f6cd8358a9c237bc6c4b22198568aa753437e27
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.2
    prebuild: sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
    scanignore:
      - wallet/assets/ssl-keystore
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.57'
    versionCode: 247
    commit: 725357ba94b3f2cd6fdf04b3415899aedf035a42
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.3
    prebuild: sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
    scanignore:
      - wallet/assets/ssl-keystore
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.58'
    versionCode: 248
    commit: fbdb157143a6e94d3018dba1a84f6fadb2025e81
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.3
    prebuild: sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
    scanignore:
      - wallet/assets/ssl-keystore
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.59'
    versionCode: 249
    commit: c59a8c631b0243b946a3f3a253ae0ef4d47dc18b
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.3
    prebuild: sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
    scanignore:
      - wallet/assets/ssl-keystore
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.61'
    versionCode: 251
    commit: 301d452af6d38f21d8c4243b40a9f75a5d4fae85
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.3
    prebuild: sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
    scanignore:
      - wallet/assets/ssl-keystore
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.64'
    versionCode: 254
    commit: f79b1ba0cabf441796494e810b92707cd544ae13
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.3
    prebuild: sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
    scanignore:
      - wallet/assets/ssl-keystore
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.65'
    versionCode: 255
    commit: 868885a17492ef4538e283853fc32fc8d94f7d75
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.3
    prebuild: sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.66'
    versionCode: 256
    commit: bc1f84e11cc52db16901a5054297094e5b2017c9
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.3
    prebuild: sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.67'
    versionCode: 257
    commit: 89dcdb32d1f0c8b360cf9ced44d45b4442de7153
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.3
    prebuild:
      - sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
      - "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >> ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.68'
    versionCode: 258
    commit: 0a1a8db9286f4dde8b497ee391263249234e2276
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.3
    prebuild:
      - sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
      - "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >> ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.69'
    versionCode: 259
    commit: a58d26dbf0cf57617bcfd016b863a73f70e2e22b
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.3
    prebuild:
      - sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
      - "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >> ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.71'
    versionCode: 261
    commit: 22d213f81e7765197fb4f4f4b33b3e99e5b52448
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.3
    prebuild:
      - sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
      - "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >> ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '4.72'
    versionCode: 262
    commit: b4725e62e0e018e52a4cd49b27d484ca59608add
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.3
    prebuild:
      - sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
      - "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >> ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '5.0'
    versionCode: 280
    commit: 4c59d1f380162372a7bd002aa72a89683c3ac486
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.3
    prebuild:
      - sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
      - "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >> ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '5.01'
    versionCode: 281
    commit: 9298809db53225bb90633ea3fec87d0fd975db70
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.3
    prebuild:
      - sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
      - "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >> ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '5.02'
    versionCode: 282
    commit: 5bcd8be203ebde5360e39593b588786fd0cf343c
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.3
    prebuild:
      - sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
      - "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >> ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '5.03'
    versionCode: 283
    commit: adad23a8995783a53f9ba15f17ed6ac451fe2192
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.3
    prebuild:
      - sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
      - "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >> ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '5.04'
    versionCode: 284
    commit: 251bb4c8ffeaffbdadff3f486e04e38f338ff833
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.3
    prebuild:
      - sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
      - "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >> ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '5.06'
    versionCode: 286
    commit: 5d0ac8bb2ffef397ffb5d6a7e06439d6c9024276
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.3
    prebuild:
      - sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
      - "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >> ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '5.07'
    versionCode: 287
    commit: dce8c6a953c3c96ee48b42037f31418f10b9dc30
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.3
    prebuild:
      - sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
      - "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >> ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '5.08'
    versionCode: 288
    commit: 5c09ab56930b6bb8158f7499875ce95701374424
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.3
    prebuild:
      - sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
      - "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >> ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '5.10'
    versionCode: 290
    commit: 810c38b8595c3c500e276dbb27e4c35d722c2b85
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.3
    prebuild:
      - sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
      - "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >> ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '5.11'
    versionCode: 291
    commit: f98830368256c6012e5961d6667f3ebdfc1abe52
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.3
    prebuild:
      - sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
      - "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >> ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '5.12'
    versionCode: 292
    commit: 9b37cd7306db14e02c27606ea7084fae5be65f7c
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.3
    prebuild:
      - sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
      - "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >> ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '5.13'
    versionCode: 293
    commit: c1cb36882a98e2f9d918cb4c173202674fcb42b0
    subdir: wallet
    gradle:
      - yes
    srclibs:
      - BitcoinJWallet@v0.14.3
    prebuild:
      - sed -i -e '/<module>examples/d' -e '/<module>tools/d' -e '/<module>wallettemplate/d'
        $$BitcoinJWallet$$/pom.xml
      - "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >> ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    build: mvn clean install -DskipTests -f $$BitcoinJWallet$$/pom.xml

  - versionName: '5.14'
    versionCode: 294
    commit: 670a6a18dacdc87a1a2516af3a21ae5fbca2b106
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >>\
        \ ../build.gradle"
    scanignore:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '5.15'
    versionCode: 295
    commit: 251f2c7bd7ebca06b2ea49c0efa2173b4ab98ba5
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >>\
        \ ../build.gradle"
    scanignore:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '5.17'
    versionCode: 297
    commit: c7e8150e3ed307a7520459cb98a98f334819f04d
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >>\
        \ ../build.gradle"
    scanignore:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '5.18'
    versionCode: 298
    commit: f596982c252462e350a4dbf24dc951d414db6fbc
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >>\
        \ ../build.gradle"
    scanignore:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '5.21'
    versionCode: 301
    commit: d07616ca547b7418a2692faefef833cff05520d0
    subdir: wallet
    gradle:
      - yes
    prebuild:
      - "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >> ../build.gradle"
      - sed -i -e "s,url 'https://maven.google.com',url 'https://jitpack.io',g" build.gradle
        ../build.gradle
    scanignore:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '5.23'
    versionCode: 303
    commit: a240ca670c8ee1fd8827fc5229b0d9e759ba497e
    subdir: wallet
    gradle:
      - yes
    prebuild:
      - "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >> ../build.gradle"
      - sed -i -e "s,url 'https://maven.google.com',url 'https://jitpack.io',g" build.gradle
        ../build.gradle
    scanignore:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '5.25'
    versionCode: 305
    commit: v5.25-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >>\
        \ ../build.gradle"
    scanignore:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '5.26'
    versionCode: 306
    commit: v5.26-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >>\
        \ ../build.gradle"
    scanignore:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '5.28'
    versionCode: 308
    commit: v5.28-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >>\
        \ ../build.gradle"
    scanignore:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '5.31'
    versionCode: 311
    commit: v5.31-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >>\
        \ ../build.gradle"
    scanignore:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '5.37'
    versionCode: 317
    commit: v5.37-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >>\
        \ ../build.gradle"
    scanignore:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '5.39'
    versionCode: 319
    commit: v5.39-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >>\
        \ ../build.gradle"
    scanignore:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '5.44'
    versionCode: 324
    commit: v5.44-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >>\
        \ ../build.gradle"
    scanignore:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '5.45'
    versionCode: 325
    commit: v5.45-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >>\
        \ ../build.gradle"
    scanignore:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '6.03'
    versionCode: 343
    commit: v6.03-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >>\
        \ ../build.gradle"
    scanignore:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '6.18'
    versionCode: 358
    commit: v6.18-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >>\
        \ ../build.gradle"
    scanignore:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '6.21'
    versionCode: 361
    commit: v6.21-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"2.10\" }' >>\
        \ ../build.gradle"
    scanignore:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '6.23'
    versionCode: 363
    commit: v6.23-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"3.4.1\" }' >>\
        \ ../build.gradle"
    scanignore:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '6.26'
    versionCode: 366
    commit: v6.26-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"3.4.1\" }' >>\
        \ ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    ndk: r17b

  - versionName: '6.29'
    versionCode: 369
    commit: v6.29-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"3.4.1\" }' >>\
        \ ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    ndk: r17b

  - versionName: '6.30'
    versionCode: 370
    commit: v6.30-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"3.4.1\" }' >>\
        \ ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    ndk: r17b

  - versionName: '6.31'
    versionCode: 371
    commit: v6.31-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"3.4.1\" }' >>\
        \ ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    ndk: r17b

  - versionName: '6.33'
    versionCode: 373
    commit: v6.33-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"3.4.1\" }' >>\
        \ ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    ndk: r17b

  - versionName: '6.35'
    versionCode: 375
    commit: v6.35-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"3.4.1\" }' >>\
        \ ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    ndk: r17b

  - versionName: '6.41'
    versionCode: 381
    commit: v6.41-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"3.4.1\" }' >>\
        \ ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    ndk: r17b

  - versionName: '7.02'
    versionCode: 402
    commit: v7.02-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"3.4.1\" }' >>\
        \ ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    ndk: r17b

  - versionName: '7.04'
    versionCode: 404
    commit: v7.04-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"3.4.1\" }' >>\
        \ ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    ndk: r17b

  - versionName: '7.06'
    versionCode: 406
    commit: v7.06-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"3.4.1\" }' >>\
        \ ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    ndk: r17b

  - versionName: '7.09'
    versionCode: 409
    commit: v7.09-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"4.4.1\" }' >>\
        \ ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    ndk: r17c

  - versionName: '7.11'
    versionCode: 411
    commit: v7.11-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"4.4.1\" }' >>\
        \ ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet
    ndk: r17c

  - versionName: '7.15'
    versionCode: 415
    commit: v7.15-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"4.4.1\" }' >>\
        \ ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '7.18'
    versionCode: 418
    commit: v7.18-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"4.4.1\" }' >>\
        \ ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '7.22'
    versionCode: 422
    commit: v7.22-prod
    subdir: wallet
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"4.4.1\" }' >>\
        \ ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '7.27'
    versionCode: 427
    disable: no signature
    commit: v7.27
    subdir: wallet
    init:
      - cd ../..
      - mv de.schildbach.wallet de.schildbach.wallet_underlying
      - mkdir de.schildbach.wallet
      - disorderfs --sort-dirents=yes --reverse-dirents=no de.schildbach.wallet_underlying
        de.schildbach.wallet
      - cd de.schildbach.wallet/wallet
    gradle:
      - prod
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"4.4.1\" }' >>\
        \ ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '7.69'
    versionCode: 469
    commit: v7.69
    subdir: wallet
    init:
      - cd ../..
      - mv de.schildbach.wallet de.schildbach.wallet_underlying
      - mkdir de.schildbach.wallet
      - disorderfs --sort-dirents=yes --reverse-dirents=no de.schildbach.wallet_underlying
        de.schildbach.wallet
      - cd de.schildbach.wallet/wallet
    gradle:
      - prod
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"4.4.1\" }' >>\
        \ ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '8.15'
    versionCode: 815
    commit: v8.15
    subdir: wallet
    init:
      - cd ../..
      - mv de.schildbach.wallet de.schildbach.wallet_underlying
      - mkdir de.schildbach.wallet
      - disorderfs --sort-dirents=yes --reverse-dirents=no de.schildbach.wallet_underlying
        de.schildbach.wallet
      - cd de.schildbach.wallet/wallet
    gradle:
      - prod
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"4.4.1\" }' >>\
        \ ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '8.16'
    versionCode: 816
    commit: v8.16
    subdir: wallet
    init:
      - cd ../..
      - mv de.schildbach.wallet de.schildbach.wallet_underlying
      - mkdir de.schildbach.wallet
      - disorderfs --sort-dirents=yes --reverse-dirents=no de.schildbach.wallet_underlying
        de.schildbach.wallet
      - cd de.schildbach.wallet/wallet
    gradle:
      - prod
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"4.4.1\" }' >>\
        \ ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '8.17'
    versionCode: 817
    commit: v8.17
    subdir: wallet
    init:
      - cd ../..
      - mv de.schildbach.wallet de.schildbach.wallet_underlying
      - mkdir de.schildbach.wallet
      - disorderfs --sort-dirents=yes --reverse-dirents=no de.schildbach.wallet_underlying
        de.schildbach.wallet
      - cd de.schildbach.wallet/wallet
    gradle:
      - prod
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"4.4.1\" }' >>\
        \ ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '8.18'
    versionCode: 818
    commit: v8.18
    subdir: wallet
    init:
      - cd ../..
      - mv de.schildbach.wallet de.schildbach.wallet_underlying
      - mkdir de.schildbach.wallet
      - disorderfs --sort-dirents=yes --reverse-dirents=no de.schildbach.wallet_underlying
        de.schildbach.wallet
      - cd de.schildbach.wallet/wallet
    gradle:
      - prod
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"4.4.1\" }' >>\
        \ ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '8.19'
    versionCode: 819
    commit: v8.19
    subdir: wallet
    init:
      - cd ../..
      - mv de.schildbach.wallet de.schildbach.wallet_underlying
      - mkdir de.schildbach.wallet
      - disorderfs --sort-dirents=yes --reverse-dirents=no de.schildbach.wallet_underlying
        de.schildbach.wallet
      - cd de.schildbach.wallet/wallet
    gradle:
      - prod
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"4.4.1\" }' >>\
        \ ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '9.02'
    versionCode: 902
    commit: v9.02
    subdir: wallet
    init:
      - cd ../..
      - mv de.schildbach.wallet de.schildbach.wallet_underlying
      - mkdir de.schildbach.wallet
      - disorderfs --sort-dirents=yes --reverse-dirents=no de.schildbach.wallet_underlying
        de.schildbach.wallet
      - cd de.schildbach.wallet/wallet
    gradle:
      - prod
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"4.4.1\" }' >>\
        \ ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '9.03'
    versionCode: 903
    commit: v9.03
    subdir: wallet
    init:
      - cd ../..
      - mv de.schildbach.wallet de.schildbach.wallet_underlying
      - mkdir de.schildbach.wallet
      - disorderfs --sort-dirents=yes --reverse-dirents=no de.schildbach.wallet_underlying
        de.schildbach.wallet
      - cd de.schildbach.wallet/wallet
    gradle:
      - prod
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"4.4.1\" }' >>\
        \ ../build.gradle"
    scandelete:
      - wallet/test/de/schildbach/wallet/util/backup-protobuf-testnet

  - versionName: '9.06'
    versionCode: 906
    commit: v9.06
    subdir: wallet
    sudo:
      - ln -fs /usr/share/zoneinfo/CET /etc/localtime
      - dpkg-reconfigure -f noninteractive tzdata
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - echo "deb http://deb.debian.org/debian bullseye main" > /etc/apt/sources.list.d/bullseye.list
      - apt-get update
      - apt-get install -y gradle/bullseye
      - update-alternatives --auto java
    init:
      - rm /home/vagrant/fdroidserver/gradlew-fdroid
      - ln -s /usr/bin/gradle /home/vagrant/fdroidserver/gradlew-fdroid
      - cd ../..
      - mv de.schildbach.wallet de.schildbach.wallet_underlying
      - mkdir de.schildbach.wallet
      - disorderfs --sort-dirents=yes --reverse-dirents=no de.schildbach.wallet_underlying
        de.schildbach.wallet
      - cd de.schildbach.wallet/wallet
    gradle:
      - prod

  - versionName: '9.13'
    versionCode: 913
    commit: v9.13
    subdir: wallet
    sudo:
      - ln -fs /usr/share/zoneinfo/CET /etc/localtime
      - dpkg-reconfigure -f noninteractive tzdata
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - echo "deb http://deb.debian.org/debian bullseye main" > /etc/apt/sources.list.d/bullseye.list
      - apt-get update
      - apt-get install -y gradle/bullseye
      - update-alternatives --auto java
    init:
      - rm /home/vagrant/fdroidserver/gradlew-fdroid
      - ln -s /usr/bin/gradle /home/vagrant/fdroidserver/gradlew-fdroid
      - cd ../..
      - mv de.schildbach.wallet de.schildbach.wallet_underlying
      - mkdir de.schildbach.wallet
      - disorderfs --sort-dirents=yes --reverse-dirents=no de.schildbach.wallet_underlying
        de.schildbach.wallet
      - cd de.schildbach.wallet/wallet
    gradle:
      - prod

  - versionName: '9.16'
    versionCode: 916
    commit: v9.16
    subdir: wallet
    sudo:
      - ln -fs /usr/share/zoneinfo/CET /etc/localtime
      - dpkg-reconfigure -f noninteractive tzdata
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - echo "deb http://deb.debian.org/debian bullseye main" > /etc/apt/sources.list.d/bullseye.list
      - apt-get update
      - apt-get install -y gradle/bullseye
      - update-alternatives --auto java
    init:
      - rm /home/vagrant/fdroidserver/gradlew-fdroid
      - ln -s /usr/bin/gradle /home/vagrant/fdroidserver/gradlew-fdroid
      - cd ../..
      - mv de.schildbach.wallet de.schildbach.wallet_underlying
      - mkdir de.schildbach.wallet
      - disorderfs --sort-dirents=yes --reverse-dirents=no de.schildbach.wallet_underlying
        de.schildbach.wallet
      - cd de.schildbach.wallet/wallet
    gradle:
      - prod

  - versionName: '9.19'
    versionCode: 919
    commit: v9.19
    subdir: wallet
    sudo:
      - ln -fs /usr/share/zoneinfo/CET /etc/localtime
      - dpkg-reconfigure -f noninteractive tzdata
      - apt-get update
      - apt-get install -y gradle disorderfs
    init:
      - rm /home/vagrant/fdroidserver/gradlew-fdroid
      - ln -s /usr/bin/gradle /home/vagrant/fdroidserver/gradlew-fdroid
      - cd ../..
      - mv de.schildbach.wallet de.schildbach.wallet_underlying
      - mkdir de.schildbach.wallet
      - disorderfs --sort-dirents=yes --reverse-dirents=no de.schildbach.wallet_underlying
        de.schildbach.wallet
      - cd de.schildbach.wallet/wallet
    gradle:
      - prod

  - versionName: '9.22'
    versionCode: 922
    commit: v9.22
    subdir: wallet
    sudo:
      - ln -fs /usr/share/zoneinfo/CET /etc/localtime
      - dpkg-reconfigure -f noninteractive tzdata
      - apt-get update
      - apt-get install -y gradle disorderfs
    init:
      - rm /home/vagrant/fdroidserver/gradlew-fdroid
      - ln -s /usr/bin/gradle /home/vagrant/fdroidserver/gradlew-fdroid
      - cd ../..
      - mv de.schildbach.wallet de.schildbach.wallet_underlying
      - mkdir de.schildbach.wallet
      - disorderfs --sort-dirents=yes --reverse-dirents=no de.schildbach.wallet_underlying
        de.schildbach.wallet
      - cd de.schildbach.wallet/wallet
    gradle:
      - prod

  - versionName: '9.24'
    versionCode: 924
    commit: v9.24
    subdir: wallet
    sudo:
      - ln -fs /usr/share/zoneinfo/CET /etc/localtime
      - dpkg-reconfigure -f noninteractive tzdata
      - apt-get update
      - apt-get install -y gradle disorderfs
    init:
      - rm /home/vagrant/fdroidserver/gradlew-fdroid
      - ln -s /usr/bin/gradle /home/vagrant/fdroidserver/gradlew-fdroid
      - cd ../..
      - mv de.schildbach.wallet de.schildbach.wallet_underlying
      - mkdir de.schildbach.wallet
      - disorderfs --sort-dirents=yes --reverse-dirents=no de.schildbach.wallet_underlying
        de.schildbach.wallet
      - cd de.schildbach.wallet/wallet
    gradle:
      - prod

  - versionName: '9.25'
    versionCode: 925
    commit: v9.25
    subdir: wallet
    sudo:
      - ln -fs /usr/share/zoneinfo/CET /etc/localtime
      - dpkg-reconfigure -f noninteractive tzdata
      - apt-get update
      - apt-get install -y gradle disorderfs
    init:
      - rm /home/vagrant/fdroidserver/gradlew-fdroid
      - ln -s /usr/bin/gradle /home/vagrant/fdroidserver/gradlew-fdroid
      - cd ../..
      - mv de.schildbach.wallet de.schildbach.wallet_underlying
      - mkdir de.schildbach.wallet
      - disorderfs --sort-dirents=yes --reverse-dirents=no de.schildbach.wallet_underlying
        de.schildbach.wallet
      - cd de.schildbach.wallet/wallet
    gradle:
      - prod

  - versionName: '9.26'
    versionCode: 926
    commit: v9.26
    subdir: wallet
    sudo:
      - ln -fs /usr/share/zoneinfo/CET /etc/localtime
      - dpkg-reconfigure -f noninteractive tzdata
      - apt-get update
      - apt-get install -y gradle disorderfs
    init:
      - rm /home/vagrant/fdroidserver/gradlew-fdroid
      - ln -s /usr/bin/gradle /home/vagrant/fdroidserver/gradlew-fdroid
      - cd ../..
      - mv de.schildbach.wallet de.schildbach.wallet_underlying
      - mkdir de.schildbach.wallet
      - disorderfs --sort-dirents=yes --reverse-dirents=no de.schildbach.wallet_underlying
        de.schildbach.wallet
      - cd de.schildbach.wallet/wallet
    gradle:
      - prod

  - versionName: '10.0'
    versionCode: 100000
    commit: v10.0
    subdir: wallet
    sudo:
      - ln -fs /usr/share/zoneinfo/CET /etc/localtime
      - dpkg-reconfigure -f noninteractive tzdata
      - apt-get update
      - apt-get install -y gradle disorderfs
    init:
      - rm /home/vagrant/fdroidserver/gradlew-fdroid
      - ln -s /usr/bin/gradle /home/vagrant/fdroidserver/gradlew-fdroid
      - cd ../..
      - mv de.schildbach.wallet de.schildbach.wallet_underlying
      - mkdir de.schildbach.wallet
      - disorderfs --sort-dirents=yes --reverse-dirents=no de.schildbach.wallet_underlying
        de.schildbach.wallet
      - cd de.schildbach.wallet/wallet
    gradle:
      - prod

  - versionName: '10.01'
    versionCode: 100100
    commit: v10.01
    subdir: wallet
    sudo:
      - ln -fs /usr/share/zoneinfo/CET /etc/localtime
      - dpkg-reconfigure -f noninteractive tzdata
      - apt-get update
      - apt-get install -y gradle disorderfs
    init:
      - rm /home/vagrant/fdroidserver/gradlew-fdroid
      - ln -s /usr/bin/gradle /home/vagrant/fdroidserver/gradlew-fdroid
      - cd ../..
      - mv de.schildbach.wallet de.schildbach.wallet_underlying
      - mkdir de.schildbach.wallet
      - disorderfs --sort-dirents=yes --reverse-dirents=no de.schildbach.wallet_underlying
        de.schildbach.wallet
      - cd de.schildbach.wallet/wallet
    gradle:
      - prod

AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: '10.01'
CurrentVersionCode: 100100
